ru.bitel.bgbilling.modules.bill.common.bean

## Class AccountReport

- java.lang.Object
- - ru.bitel.bgbilling.modules.bill.common.bean.AccountReport

- All Implemented Interfaces:
    java.lang.Comparable<AccountReport>

      public class AccountReport
      extends java.lang.Object
      implements java.lang.Comparable<AccountReport>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccountReport()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(AccountReport accountReport)`
    `int` | `getContractId()`
    `java.util.Date` | `getCreateDate()`
    `java.math.BigDecimal` | `getCreditSum()`
    `java.math.BigDecimal` | `getDebetSum()`
    `java.lang.String` | `getDocument()`
    `int` | `getDocumentId()`
    `java.lang.String` | `getDocumentNumber()`
    `int` | `getId()`
    `int` | `getType()`
    `void` | `setContractId(int contractId)`
    `void` | `setCreateDate(java.util.Date createDate)`
    `void` | `setCreditSum(java.math.BigDecimal creditSum)`
    `void` | `setDebetSum(java.math.BigDecimal debetSum)`
    `void` | `setDocument(java.lang.String document)`
    `void` | `setDocumentId(int documentId)`
    `void` | `setDocumentNumber(java.lang.String documentNumber)`
    `void` | `setId(int id)`
    `void` | `setType(int type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AccountReport

          public AccountReport()

  - ### Method Detail

    - #### getId

          public int getId()

    - #### setId

          public void setId(int id)

    - #### getType

          public int getType()

    - #### setType

          public void setType(int type)

    - #### getContractId

          public int getContractId()

    - #### setContractId

          public void setContractId(int contractId)

    - #### getCreateDate

          public java.util.Date getCreateDate()

    - #### setCreateDate

          public void setCreateDate(java.util.Date createDate)

    - #### getDocument

          public java.lang.String getDocument()

    - #### setDocument

          public void setDocument(java.lang.String document)

    - #### getDocumentId

          public int getDocumentId()

    - #### setDocumentId

          public void setDocumentId(int documentId)

    - #### getDocumentNumber

          public java.lang.String getDocumentNumber()

    - #### setDocumentNumber

          public void setDocumentNumber(java.lang.String documentNumber)

    - #### getCreditSum

          public java.math.BigDecimal getCreditSum()

    - #### setCreditSum

          public void setCreditSum(java.math.BigDecimal creditSum)

    - #### getDebetSum

          public java.math.BigDecimal getDebetSum()

    - #### setDebetSum

          public void setDebetSum(java.math.BigDecimal debetSum)

    - #### compareTo

          public int compareTo(AccountReport accountReport)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<AccountReport>`